<!DOCTYPE html>
<html lang="en">
<head>
    <link rel="stylesheet" href="../static/style.css">
    <meta charset="UTF-8">
    <title>{{ channel.name }}</title>
</head>
<body>
<p class = "return"><a href="{{ url_for('home_page') }}">Return to channel list.</a> </p>
{% if channel %}
    <h1>{{ channel.name }}</h1>

 <form action="post" method="post">
     <input type="hidden" name="channel" value="{{ channel.endpoint | urlencode }}">
    Sender: <input type="text" name="sender" id="sender"> <br>
    Message: <input type="text" name="content" id="content"> <br>
    <input type="submit" value="Post" id="button">
</form>

        {% for message in messages | reverse %}
            <h2>{{ message.sender }}</h2>
            <p>{{ message.content }}</p>
            <p style="font-size: 50%" class = "form-group">{{ message.timestamp }}</p>
        {% endfor %}
{% else %}
    <h1>Channel not found</h1>
{% endif %}

</body>
</html>